Login Platform Microsoft
Platform-level Microsoft Sign-In for end-users (Issue #750). Verifies the Microsoft ID token against the platform MICROSOFT_OAUTH_CLIENT_ID (not tenant-configured SSO), then looks up requesters by email across all tenants.
Platform-level Microsoft Sign-In for end-users (Issue #750).
Verifies the Microsoft ID token against the platform MICROSOFT_OAUTH_CLIENT_ID (not tenant-configured SSO), then looks up requesters by email across all tenants.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/app/auth/login/microsoft" \ -H "Content-Type: application/json" \ -d '{ "id_token": "stringstringstringstringstringstringstringstringst", "platform": "ios" }'{
"access_token": "string",
"expires_in": 0,
"refresh_token": "string",
"requester": {
"email": "string",
"full_name": "string",
"requester_id": "string",
"tenant_id": "string"
},
"requires_tenant_selection": false,
"tenant_slug": "string",
"tenants": [
{
"tenant_name": "string",
"tenant_slug": "string"
}
],
"token_type": "Bearer",
"user": {
"email": "string",
"full_name": "string",
"requester_id": "string",
"tenant_id": "string"
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}